Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1577326 - [Doc]-Erasure coded pools-Need to add a known limitation in erasure code Doc
Summary: [Doc]-Erasure coded pools-Need to add a known limitation in erasure code Doc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Documentation
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: 3.1
Assignee: John Brier
QA Contact: ceph-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 17:47 UTC by Parikshith
Modified: 2018-12-03 13:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-11 21:15:23 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Parikshith 2018-05-11 17:47:17 UTC
Description of problem:
Need to add below statement in Erasure coded pools section as a known limitation in storage strategies guide. 

"In an EC pool, if up to M(coding chucks) number of OSDs or hosts which is based on the failure domain set for the EC pool are down, some of the PGs of this pool will go into incomplete state."
 
This can be added after section 5.2 in storage strategies guide and has to be updated in all the RHCS documentation(1.3,2 and 3)

Comment 3 John Brier 2018-06-27 20:57:25 UTC
Thanks for the report. When you say "up to M(coding chucks) number of OSDs" do you mean if ODSs *equal to M* go down some of the PGs of this pool will go into incomplete state?

Otherwise "up to" could mean any number from OSDs equal to M all the way down to zero.


Note You need to log in before you can comment on or make changes to this bug.